ротация с использованием центральной точки

Russian forum
Forum rules
Правила форума и полезная информация

ПОЖАЛУЙСТА! Начиная обсуждение, обязательно....
begood
Posts: 3
Joined: Sat Jan 21, 2017 9:00 am

ротация с использованием центральной точки

Postby begood » Sat Jan 21, 2017 9:15 am

Здравствуйте,прошу помощи

Использую таймер для вызова функции в скрипте

Вопрос такой:

Когда делаю ротацию с центральной точкой 0,0,0 , координаты объекта не изменяются

Когда же делаю ротация с центральной точкой допустим 10,0,38.5 , координаты объекта меняются

почему же тогда при 0,0,0 не изменяются , и можно как либо сделать не изменяемыми координаты объекта при установке центральной точки отличной от 0,0,0

то есть если я выставил вращение по оси y,с центром 10,0,38.5,чтобы объект повернулся допустим на 45 градусов и координаты объекта в итоге остались 0,0,0 , как изначально

obj119 = App.ActiveDocument.Fusion119
obj119.Placement=FreeCAD.Placement(FreeCAD.Vector(0.1,0,0), FreeCAD.Rotation(0,0,0), FreeCAD.Vector(10,0,38.5)).multiply(obj119.Placement)

изменение координат при центальной точке 10,0,38.5
Placement [Pos=(-24.2947,0,18.3475), Yaw-Pitch-Roll=(0,45,0)]

изменение координат при центальной точке 0,0,0
Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,45.15,0)]
DeepSOIC
Posts: 4502
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: ротация с использованием центральной точки

Postby DeepSOIC » Sat Jan 21, 2017 3:36 pm

begood wrote:Когда делаю ротацию с центральной точкой 0,0,0 , координаты объекта не изменяются

Когда же делаю ротация с центральной точкой допустим 10,0,38.5 , координаты объекта меняются

почему же тогда при 0,0,0 не изменяются , и можно как либо сделать не изменяемыми координаты объекта при установке центральной точки отличной от 0,0,0
Ну всё логично. Вращаем точку (0,0,0) вокруг точки (0,0,0) - она остаётся на месте, так как находится на оси вращения. Вращаем точку (0,0,0) вокруг (1,0,0), и она меняет положение, так как удалена от оси вращения.
begood
Posts: 3
Joined: Sat Jan 21, 2017 9:00 am

Re: ротация с использованием центральной точки

Postby begood » Sun Jan 22, 2017 5:56 am

Есть варианты по типу функций изменить стандартное вращение вокруг центральной точки,на вращение по заданной точке , без изменения координат центральной точки?
begood
Posts: 3
Joined: Sat Jan 21, 2017 9:00 am

Re: ротация с использованием центральной точки

Postby begood » Sun Jan 22, 2017 5:58 am

Я так понимаю в фрикаде нету возможности создать для каждого объекта отдельную плоскость?